Package: groovy.transform

## [Java] Enum AnnotationCollectorMode

- groovy.transform.AnnotationCollectorMode

- - ### Enum Constants Summary

    Enum constants classes
    Enum constant | Description
    --- | ---
    `DUPLICATE` |
    `PREFER_COLLECTOR` |
    `PREFER_COLLECTOR_MERGED` |
    `PREFER_EXPLICIT` |
    `PREFER_EXPLICIT_MERGED` |

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Enum` | `name, equals, toString, hashCode, compareTo, compareTo, valueOf, getDeclaringClass, ordinal, wait, wait, wait, getClass, notify, notifyAll`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Enum Constant Detail

    - #### AnnotationCollectorMode DUPLICATE

    - #### AnnotationCollectorMode PREFER_COLLECTOR

    - #### AnnotationCollectorMode PREFER_COLLECTOR_MERGED

    - #### AnnotationCollectorMode PREFER_EXPLICIT

    - #### AnnotationCollectorMode PREFER_EXPLICIT_MERGED